VirtualBox

Ticket #3544 (closed defect: fixed)

Opened 5 years ago

Last modified 4 years ago

VBox 2.1.4 on Mac OS X 10.5.6 crashes

Reported by: badger Owned by:
Priority: major Component: virtual disk
Version: VirtualBox 2.2.4 Keywords: macosx crash assertion ata
Cc: Guest type: Linux
Host type: Mac OS X

Description

VBox 2.1.4 on Mac OS X 10.5.6 crashes with an assertion:

03:10:23.382 PIIX3 ATA: LUN#2: performing device RESET
03:10:23.383 
03:10:23.383 !!Assertion Failed!!
03:10:23.383 Expression: ReqType == ATA_AIO_RESET_ASSERTED || ReqType == ATA_AIO_RESET_CLEARED || ReqType == ATA_AIO_ABO
RT || pCtl->uAsyncIOState == ReqType
03:10:23.383 Location  : /Volumes/ServerHD2/Users2/vbox/tinderbox/2.1-mac-rel/src/VBox/Devices/Storage/DevATA.cpp(4375) 
int ataAsyncIOLoop(RTTHREADINT*, void*)
03:10:23.383 I/O state inconsistent: state=0 request=2

The guest is Ubuntu Linux 8.04.

Attachments

VBox.log.3 Download (37.6 KB) - added by badger 5 years ago.
virtualbox log
VBox.log Download (39.0 KB) - added by badger 5 years ago.
vbox_3.0.2.log Download (42.1 KB) - added by badger 5 years ago.
VirtualBox 3.0.2 crash log
VBox-3_0_8_MacOSX_SnowLeopard-2009-10-12-13-26-15.log Download (40.8 KB) - added by badger 5 years ago.
Working_Windows XP unattended-2009-11-16-23-28-46.log Download (44.1 KB) - added by Technologov 4 years ago.
Working Windows XP on Mac OS X 10.5.6 (log provided for comparison by Technologov)
W7HS-2010-02-18-12-47-36.log Download (46.5 KB) - added by hafthor 4 years ago.
vbox.log abort host:mac10.6.2 guest:win7x86 died while at lunch
VBox.2.log Download (50.5 KB) - added by hafthor 4 years ago.
VirtualBox 3.1.4 r57640 darwin.x86 - guest Win7x86 - I/O state inconsistent
VBox.3.log Download (43.8 KB) - added by badger 4 years ago.
VBox.log

Change History

Changed 5 years ago by badger

virtualbox log

comment:1 Changed 5 years ago by badger

Still crashing with VBox 2.2.4:

...
00:31:44.582 PCNet#0: Init: ss32=1 GCRDRA=0x0b7b9000[32] GCTDRA=0x0b7ba000[16]
00:31:46.675 NAT: DHCP offered IP address 10.0.2.15
00:31:46.677 NAT: DHCP offered IP address 10.0.2.15
01:31:32.243 PIIX3 ATA: LUN#2: performing device RESET
01:31:32.257 
01:31:32.257 !!Assertion Failed!!
01:31:32.257 Expression: ReqType == ATA_AIO_RESET_ASSERTED || ReqType == ATA_AIO_RESET_CLEARED || ReqType == ATA_AIO_ABO
RT || pCtl->uAsyncIOState == ReqType
01:31:32.257 Location  : /Users/vbox/tinderbox/2.2-mac-rel/src/VBox/Devices/Storage/DevATA.cpp(4564) int ataAsyncIOLoop(
RTTHREADINT*, void*)
01:31:32.257 I/O state inconsistent: state=0 request=2

comment:2 follow-up: ↓ 4 Changed 5 years ago by klaus

  • Version changed from VirtualBox 2.1.4 to VirtualBox 2.2.4
  • Component changed from other to virtual disk

From the log (for 2.1.4 only) it seems to happen out of the blue. Do you have any further information? Is there any special guest activity going on? Haven't seen that particular problem happening lately, and in fact looking at the code the assertion shouldn't trigger. So it's head scratching time.

comment:3 Changed 5 years ago by badger

It still happens after a few hours of VM uptime. The interesting thing I've observed is that it seems to only happen if there are at least two VirtualBox VMs running at the same time. The log message is the same still:

00:03:01.542 NAT: old socket rcv size: 79KB
00:03:01.542 NAT: old socket snd size: 79KB
01:37:48.308 PIIX3 ATA: LUN#2: performing device RESET
01:37:48.337 
01:37:48.337 !!Assertion Failed!!
01:37:48.337 Expression: ReqType == ATA_AIO_RESET_ASSERTED || ReqType == ATA_AIO_RESET_CLEARED || ReqType == ATA_AIO_ABORT || pCtl->uAsyncIOState == ReqType
01:37:48.337 Location  : /Users/vbox/tinderbox/mac-rel/src/VBox/Devices/Storage/DevATA.cpp(4564) int ataAsyncIOLoop(RTTHREADINT*, void*)
01:37:48.337 PIIX3 IDE: guest issued command 0xa0 while controller busy
01:37:48.337 I/O state inconsistent: state=0 request=2

BTW, I've upgraded to VirtualBox 3.0 and it did not help.

comment:4 in reply to: ↑ 2 Changed 5 years ago by badger

Replying to klaus:

From the log (for 2.1.4 only) it seems to happen out of the blue. Do you have any further information? Is there any special guest activity going on? Haven't seen that particular problem happening lately, and in fact looking at the code the assertion shouldn't trigger. So it's head scratching time.

See my previous comment. It is now VirtualBox 3.0 running.

comment:5 follow-up: ↓ 6 Changed 5 years ago by frank

badger, please attach (use the attach button) the full VBox.log file of such a VM started with VirtualBox 3.0.0.

comment:6 in reply to: ↑ 5 Changed 5 years ago by badger

Replying to frank:

badger, please attach (use the attach button) the full VBox.log file of such a VM started with VirtualBox 3.0.0.

Attached.

Changed 5 years ago by badger

comment:7 Changed 5 years ago by badger

Still happening with VBox 3.0.2, attaching log.

Changed 5 years ago by badger

VirtualBox 3.0.2 crash log

comment:8 Changed 5 years ago by badger

Still now fixed, tested with Snow Leopard (10.6.1) and VirtualBox 3.0.8. Log attached.

Changed 5 years ago by badger

comment:9 Changed 4 years ago by Technologov

Works here. No crashes.

Mac-mini, Mac OS X 10.5.6, Core 2-2.0. VBox 3.0.8

Guest: Windows XP

-Technologov

Changed 4 years ago by Technologov

Working Windows XP on Mac OS X 10.5.6 (log provided for comparison by Technologov)

Changed 4 years ago by hafthor

vbox.log abort host:mac10.6.2 guest:win7x86 died while at lunch

Changed 4 years ago by hafthor

VirtualBox 3.1.4 r57640 darwin.x86 - guest Win7x86 - I/O state inconsistent

comment:10 Changed 4 years ago by badger

Still happening, now on Ubuntu 10.04. Guest is Ubuntu 8.04.

00:40:55.481 PIIX3 ATA: LUN#2: performing device RESET 00:40:55.482 00:40:55.482 !!Assertion Failed!!

00:40:55.482 Expression: ReqType == ATA_AIO_RESET_ASSERTED
ReqType == ATA_AIO_RESET_CLEARED ReqType == ATA_AIO_ABORT pCtl->uAsyncIOState == ReqType

00:40:55.482 Location : /build/buildd/virtualbox-ose-3.1.6-dfsg/src/VBox/Devices/Storage/DevATA.cpp(4574) int ataAsyncIOLoop(RTTHREADINT*, void*) 00:40:55.482 I/O state inconsistent: state=0 request=2

Changed 4 years ago by badger

VBox.log

comment:11 Changed 4 years ago by aeichner

  • Status changed from new to closed
  • Resolution set to fixed

This was fixed with 3.1.8.

Note: See TracTickets for help on using tickets.

www.oracle.com
ContactPrivacy policyTerms of Use